
/*===========loading porcent ============*/

.loading{
  width: 100%;
  height: 100%;
  background-color: #151515;
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.spinner{
  position: relative;
  width: 4rem;/*largura e altura do circulo pré carregamento*/
  height: 4rem;
  border-radius: 50%;
}

.spinner::before,
.spinner:after{
  content: "";
  position: absolute;
  border-radius: 50%;
}

.spinner:before{
  width: 100%;
  height: 100%;
  background-image: linear-gradient(90deg, #ff0000 0%, #a12cb3 100%);/*(90deg, #ffa600 0%, #2ca3b3 100%)*/
  animation: spin .5s infinite linear;
}

@keyframes spin{
  to{
      transform: rotate(360deg);
  }
}

.spinner:after{
  width: 90%;
  height: 90%;
  background-color: #151515;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.porcent{
  color: #999;
  font-size: 15px;/*tamanho da letra porcentagem*/
  font-weight: 400;
  z-index: 1;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/*==================== video binary_rain.mp4 ====================*/
.background-image {
  position: absolute;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: contrast(150%);/*filter: contrast(150%)*/
}
/*==================== HOME ====================*/

.home__container {
  gap: 1rem;
  /*transform: translateX(-6rem);/*mantem tudo no home visivel*/
}

.home__content {
  grid-template-columns: 0.5fr 3fr;
  padding-top: 3.5rem;
  align-items: center;
}

.home__social {
  display: grid;/*grid*/
  grid-template-columns: max-content;
  row-gap: 1rem;
  /*padding-top: 8rem;/*abaixar um pouco*/
}

.home__social-icon {
  font-size: 1.25rem;
  color: rgb(172, 16, 94);/*rgb(172, 16, 94), var(--first-color-alt)*/
}

.home__social-icon:hover {
  color: red;/*var(--first-color-alt)*/
}

/* .home__blob {
  width: 200px;
  fill: var(--first-color);
}

.home__blob-img {
  width: 220px;
} */

.home__data {
  grid-column: 1/3;
  /* position: fixed; */
}

.home__title {
  font-size: var(--big-font-size);
  position: fixed;
  color: white;
  /* padding-bottom: 300px; */
}

.home__subtitle {
  font-size: var(--h3-font-size);
  color: rgb(147, 10, 189);
  font-weight: var(--font-medium);
  /* margin-bottom: var(--mb-0-75); */
  padding-top: 5rem;
}

.home__description {
  margin-bottom: var(--mb-2);/*2rem var(--mb-2)*/
  color: #cfcfcf;
}

/*==================== BTN my projects ====================*/

.btn {/*botão em si*/
  position: relative;
  width: 200px;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  background: rgba(255, 255, 255, .1);/*rgba(255, 255, 255, .1)*/
  background: rgba(41, 40, 40, 0.5);/*rgba(255, 255, 255, .5)*/
  color: #b59696;
  border-radius: 60px;
  text-decoration: none;
  /*text-transform: uppercase;*/
  /* user-select: none; */
  font-size: 1.2em;
  letter-spacing: 1px;
  border-top: .5px solid rgba(255, 255, 255, .50);/*rgba(255, 255, 255, .35)*/
  border-left: .5px solid rgba(255, 255, 255, .50);/*rgba(255, 255, 255, .35*/
  padding-left: 40px;
  transition: .5s;
}

.btn:hover {
  padding-left: 0;
  padding-right: 40px;
  color: rgba(255, 255, 255, 1)
}

.btn span {
  position: absolute;
  left: 5px;
  width: 50px;
  height: 50px;
  background: #00c3ff;/*#00c3ff*/
  border-radius:50%;
  transition: .5s ease-in-out;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #040305;
  font-size: 1.3em;
}

.btn:hover span {
  left: calc(100% - 55px);
}

.btn::before {
  content: '';
  position: absolute;
  width: 100px;
  height: 100%;
  background: rgba(255, 255, 255,.5);
  transform: translateX(-178px) skewX(30deg);
  transition: .75s ease-in-out;
  z-index: 10;
}

.btn:hover::before {
  transform: translateX(178px) skewX(30deg);
}

/*==================== botao Scroll Down ====================*/

/* .home__scroll {
  display: none;
} *//*remove o scrool em tela menores*/

.home__scroll-button {
  color: var(--first-color); 
  /* color:rgb(37,171,117); */
  transition: 0.3s;
}

.home__scroll-button:hover {
  transform: translateY(0.25rem);
  color:rgb(37,171,117);
}

.home__scroll-mouse {
  font-size: 2rem;
}

.home__scroll-name {
  font-size: var(--small-font-size);
  color: white;/*var(--title-color)*/
  font-weight: var(--font-medium);
  margin-right: var(--mb-0-25);
}

.home__scroll-arrow {
  font-size: 1.25rem;
}

/*==================== MEDIA QUERIES ====================*/
/* For small devices */
@media screen and (max-width: 380px) {

  .home__content {
    grid-template-columns: 0.35fr 3fr;
  }

  /* .home__blob {
    width: 250px;
  } */

  .home__social-icon {
    width: 30px;
  }

  .home__subtitle {
    font-size: 24px;
  }

  .home__description {
    font-size: 18px;
  }

  .home__button {
    font-size: 20px;
  }
}

/* For medium devices */
@media (min-width: 568px) {
  .home__content {
    grid-template-columns: max-content 1fr 1fr;
  }

  .home__data {
    grid-column: initial;
  }

  /* .home__img {
    order: 1;
    justify-self: center;
  } */
}

@media screen and (min-width: 767px) {

  .home__container {
    row-gap: 5rem;
  }

  .home__content {
    padding-top: 5.5rem;
    column-gap: 2rem;
  }
  /* .home__blob {
    width: 270px;
  } */
  .home__scroll {
    display: block;
  }
  .home__scroll-button {
    margin-left: 3rem;
  }
}

@media screen and (min-width: 1024px) {
  /* .home__blob {
    width: 320px;
  } */
  .home__social {
    transform: translateX(-6rem);
  }
}



/*------seta para baixo ir em skill--------*/

 /* .home__scroll-skill {
    display: flex;
    justify-content: center; 
    align-items: center;     
  }

.home__scroll-button-skill {
  color: var(--first-color);
  transition: 0.3s;
}

.home__scroll-button-skill:hover {
  transform: translateY(0.25rem);
  color: rgb(147, 10, 189);
} */

/* --- CSS PADRÃO (Telas Grandes / Desktop) --- */

/* Por padrão, escondemos o botão que está embaixo dos cards */
/* .btn-mobile {
  display: none !important;
}

.btn-desktop {
  display: flex;
}

@media screen and (max-width: 570px) {
  
  .btn-desktop {
    display: none !important;
  }

  .btn-mobile {
    display: flex !important;
    justify-content: center; 
    margin-top: 25px;        
    width: 100%;
  }
} */
